Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 623475 - [abrt] crash in mysql-5.1.48-2.fc13: ____strtoul_l_internal: Process /usr/bin/mysql was killed by signal 11 (SIGSEGV)
[abrt] crash in mysql-5.1.48-2.fc13: ____strtoul_l_internal: Process /usr/bin...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom Lane
Fedora Extras Quality Assurance
abrt_hash:0f145aa893d6666da0ac8f4343f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 17:21 EDT by Damien Grassart
Modified: 2013-07-02 23:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-11 21:28:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.79 KB, text/plain)
2010-08-11 17:21 EDT, Damien Grassart
no flags Details

  None (edit)
Description Damien Grassart 2010-08-11 17:21:04 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: mysql -h oltp -u admin -px xxxxxxx
component: mysql
crash_function: ____strtoul_l_internal
executable: /usr/bin/mysql
global_uuid: 0f145aa893d6666da0ac8f4343fcfa54955ad14d
kernel: 2.6.33.6-147.2.4.fc13.x86_64
package: mysql-5.1.48-2.fc13
rating: 4
reason: Process /usr/bin/mysql was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

comment
-----
Tried to describe a table on a MySQL server that "has gone away" and hit control-C while it was trying to reconnect:

> desc zip_code;
ERROR 2006 (HY000): MySQL server has gone away
No connection. Trying to reconnect...
^CSegmentation fault (core dumped)
Comment 1 Damien Grassart 2010-08-11 17:21:06 EDT
Created attachment 438299 [details]
File: backtrace
Comment 2 Tom Lane 2010-08-11 21:28:00 EDT
I didn't have any luck reproducing this --- the problem probably only occurs if you manage to hit control-C during a very narrow window.  It doesn't seem important enough to justify carrying our own patch, but I've filed the problem upstream at http://bugs.mysql.com/bug.php?id=55932
Comment 3 Tom Lane 2010-08-15 11:27:29 EDT
Upstream is wondering whether the mysql server you were connecting to is also current-version.
Comment 4 Damien Grassart 2010-08-15 13:13:54 EDT
The server is an older version: 4.1.25-pro-gpl-log. I've also posted this on the upstream issue.

Note You need to log in before you can comment on or make changes to this bug.